2019-03-26 21:18 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002282NetSurfRISC OS-specificpublic2015-03-10 23:38
Reportergeorge thomas greenfield 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRaspberry Pi BOSRISC OSOS Version5.21 [12-Jan-15]
Product Version3.3 
Target Version3.3Fixed in Version3.3 
Summary0002282: Closing window while loading crashes NetSurf 3.3 0002625
DescriptionThe aim to test whether NetSurf had stopped crashing when a window was closed while still rendering. Test sites known to take a long time to load were chosen (Steve's digicams, Sydney Morning Herald (SMH)). Window closure was by clicking on the top left 'X' close icon. Several attempts were made with each site. Crashes occurred when Javascript was enabled but not when disabled. On one occasion (JS enabled) the SMH site closed OK but NetSurf crashed on attempting to reload the page.
Steps To ReproduceSee above
Additional InformationZipped logfiles (NS_Logs.zip) uploaded herewith.
TagsNo tags attached.
Fixed in CI build #2641
Reported in CI build #2625
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000637

Vincent Sanders (administrator)

Please can you try CI build 2641 and see if the issue remains reproducible. You appear to be the only person currently capable of causing the crashes.
george thomas greenfield

~0000638

george thomas greenfield (reporter)

Tried CI build 2641 with the sites that had failed before, JS-enabled, and had NO problem closing window while site was loading (mouse clicking Close icon as before) over a number of attempts. I also tried the Shuttleworth Collection's site several times for good measure - again no problem, and no problem either in re-accessing the site after a closure while loading.
Vincent Sanders

~0000639

Vincent Sanders (administrator)

calling this issue fixed. Thanks for the testing
Vincent Sanders

~0000734

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2015-03-08 23:21 george thomas greenfield New Issue
2015-03-08 23:21 george thomas greenfield File Added: NS_Logs.zip,ddc
2015-03-09 14:12 Vincent Sanders Fixed in CI build # => 2641
2015-03-09 14:12 Vincent Sanders Note Added: 0000637
2015-03-09 14:12 Vincent Sanders Assigned To => Vincent Sanders
2015-03-09 14:12 Vincent Sanders Severity minor => crash
2015-03-09 14:12 Vincent Sanders Status new => feedback
2015-03-09 14:12 Vincent Sanders Product Version => 3.3
2015-03-09 14:12 Vincent Sanders Target Version => 3.3
2015-03-09 15:04 george thomas greenfield Note Added: 0000638
2015-03-09 15:04 george thomas greenfield Status feedback => assigned
2015-03-09 15:21 Vincent Sanders Note Added: 0000639
2015-03-09 15:21 Vincent Sanders Status assigned => resolved
2015-03-09 15:21 Vincent Sanders Resolution open => fixed
2015-03-09 15:21 Vincent Sanders Fixed in Version => 3.3
2015-03-10 23:38 Vincent Sanders Note Added: 0000734
2015-03-10 23:38 Vincent Sanders Status resolved => closed
+Issue History